﻿using System;
using Volo.Abp.Application.Dtos;

namespace Sanhe.Abp.Auditing.AuditLogs
{
    public class AuditLogActionDto : ExtensibleEntityDto<Guid>
    {
        /// <summary>
        /// 服务名称
        /// </summary>
        public string ServiceName { get; set; }
        /// <summary>
        /// 方法名称
        /// </summary>
        public string MethodName { get; set; }
        /// <summary>
        /// 参数列表
        /// </summary>
        public string Parameters { get; set; }
        /// <summary>
        /// 调用时间
        /// </summary>
        public DateTime ExecutionTime { get; set; }
        /// <summary>
        /// 响应时间(ms)
        /// </summary>
        public int ExecutionDuration { get; set; }
    }
}
