﻿using System;
using Volo.Abp.Application.Dtos;
using Volo.Abp.Auditing;

namespace Sanhe.Abp.Auditing.AuditLogs;

public class EntityChangeGetByPagedDto : PagedAndSortedResultRequestDto
{
    /// <summary>
    /// 审计日志Id
    /// </summary>
    public Guid? AuditLogId { get; set; }
    /// <summary>
    /// 开始时间
    /// </summary>
    public DateTime? StartTime { get; set; }
    /// <summary>
    /// 结束时间
    /// </summary>
    public DateTime? EndTime { get; set; }
    /// <summary>
    /// 变更类型
    /// </summary>
    public EntityChangeType? ChangeType { get; set; }
    /// <summary>
    /// 实体标识
    /// </summary>
    public string EntityId { get; set; }
    /// <summary>
    /// 实体类型
    /// </summary>
    public string EntityTypeFullName { get; set; }
}
