﻿using System;
using Volo.Abp.Application.Dtos;

namespace Sanhe.Abp.Auditing.SecurityLogs
{
    public class SecurityLogDto : ExtensibleEntityDto<Guid>
    {
        /// <summary>
        /// 应用名称
        /// </summary>
        public string ApplicationName { get; set; }
        /// <summary>
        /// 标识
        /// </summary>
        public string Identity { get; set; }
        /// <summary>
        /// 操作
        /// </summary>
        public string Action { get; set; }
        /// <summary>
        /// 用户Id
        /// </summary>
        public Guid? UserId { get; set; }
        /// <summary>
        /// 用户名称
        /// </summary>
        public string UserName { get; set; }
        /// <summary>
        /// 租户名称
        /// </summary>
        public string TenantName { get; set; }
        /// <summary>
        /// 客户端Id
        /// </summary>
        public string ClientId { get; set; }
        /// <summary>
        /// 链路标识
        /// </summary>
        public string CorrelationId { get; set; }
        /// <summary>
        /// 客户端地址
        /// </summary>
        public string ClientIpAddress { get; set; }
        /// <summary>
        /// 浏览器信息
        /// </summary>
        public string BrowserInfo { get; set; }
        /// <summary>
        /// 创建时间
        /// </summary>
        public DateTime CreationTime { get; set; }
    }
}
