﻿using Hangfire.Dashboard;
using System.Threading.Tasks;

namespace Sanhe.Abp.Hangfire.Dashboard.Authorization;

/// <summary>
/// Hangfire仪表盘权限检测器
/// </summary>
public interface IDashboardPermissionChecker
{
    /// <summary>
    /// 是否授予
    /// </summary>
    /// <param name="context">上下文</param>
    /// <param name="requiredPermissionNames">允许的权限名称</param>
    /// <returns></returns>
    Task<bool> IsGrantedAsync(DashboardContext context, string[] requiredPermissionNames);
}
