﻿namespace Sanhe.Abp.Localization.Dynamic;

public class LocalizedStringCacheResetEventData
{
    /// <summary>
    /// 是否删除
    /// </summary>
    public bool IsDeleted { get; set; }
    /// <summary>
    /// 资源名
    /// </summary>
    public string ResourceName { get; set; }
    /// <summary>
    /// 文化名称
    /// </summary>
    public string CultureName { get; set; }
    /// <summary>
    /// 键
    /// </summary>
    public string Key { get; set; }
    /// <summary>
    /// 值
    /// </summary>
    public string Value { get; set; }

    public LocalizedStringCacheResetEventData()
    {

    }

    public LocalizedStringCacheResetEventData(
        string resourceName,
        string cultureName,
        string key,
        string value)
    {
        ResourceName = resourceName;
        CultureName = cultureName;
        Key = key;
        Value = value;

        IsDeleted = false;
    }
}
