﻿using Volo.Abp.DependencyInjection;

namespace Sanhe.Abp.Notifications;

/// <summary>
/// 通知定义提供者抽象类
/// </summary>
public abstract class NotificationDefinitionProvider : INotificationDefinitionProvider, ITransientDependency
{
    /// <summary>
    /// 定义
    /// </summary>
    /// <param name="context"></param>
    public abstract void Define(INotificationDefinitionContext context);
}
