﻿using System;

namespace Sanhe.Abp.Notifications;

/// <summary>
/// 通知订阅信息
/// </summary>
public class NotificationSubscriptionInfo
{
    /// <summary>
    /// 租户Id
    /// </summary>
    public Guid? TenantId { get; set; }
    /// <summary>
    /// 用户Id
    /// </summary>
    public Guid UserId { get; set; }
    /// <summary>
    /// 用户名
    /// </summary>
    public string UserName { get; set; }
    /// <summary>
    /// 通知名
    /// </summary>
    public string NotificationName { get; set; }
}
