﻿using Microsoft.Extensions.DependencyInjection;
using Microsoft.Extensions.DependencyInjection.Extensions;
using Volo.Abp.Modularity;

namespace Sanhe.Abp.PinyinConverter.ToolGoodWords;

[DependsOn(typeof(AbpPinyinConverterModule))]
public class AbpPinyinConverterToolGoodWordsModule : AbpModule
{
    public override void ConfigureServices(ServiceConfigurationContext context)
    {
        context.Services.Replace(ServiceDescriptor.Singleton<IPinyinConverter, ToolGoodWordsPinyinConverter>());
    }
}
