﻿using ToolGood.Words.Pinyin;
using Volo.Abp.DependencyInjection;

namespace Sanhe.Abp.PinyinConverter.ToolGoodWords;

[DisableConventionalRegistration]
public class ToolGoodWordsPinyinConverter : IPinyinConverter
{
    public string ToPinyin(string text)
    {
        return WordsHelper.GetPinyin(text);
    }

    public string ToPinyinInitials(string text)
    {
        return WordsHelper.GetFirstPinyin(text);
    }
}
