﻿using System;

namespace Sanhe.Abp.Wrapper;

/// <summary>
/// 返回值包装结构。
/// </summary>
[Serializable]
public class WrapResult : WrapResult<object>
{
    public WrapResult() { }

    public WrapResult(
        string code,
        string message,
        string details = null) : base(code, message, details)
    {
    }

    public WrapResult(
        string code,
        object result,
        string message = "ok") : base(code, result, message)
    {
    }
}
