﻿using System;
using System.Collections.Generic;

namespace Sanhe.Abp.MenuManagement
{
    /// <summary>
    /// 前端菜单
    /// </summary>
    public class FrontMenu
    {
        /// <summary>
        /// Id
        /// </summary>
        public Guid Id { get; set; }
        /// <summary>
        /// 名称
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 组件
        /// </summary>
        public string Component { get; set; }
        /// <summary>
        /// 路径
        /// </summary>
        public string Path { get; set; }
        /// <summary>
        /// window.open _blank 
        /// </summary>
        public string TargetUrl { get; set; }
        /// <summary>
        /// 此菜单关联的权限key.
        /// </summary>
        public string PermissionKey { get; set; }
        /// <summary>
        /// 菜单标签
        /// </summary>
        public MenuMeta Meta { get; set; }
        /// <summary>
        /// 子菜单
        /// </summary>
        public List<FrontMenu> Children { get; set; } = new List<FrontMenu>();
    }
}