﻿using JetBrains.Annotations;
using System.Threading.Tasks;
using Volo.Abp.Application.Services;

namespace Sanhe.Abp.MenuManagement
{
    public interface IMenuGrantAppService : IApplicationService
    {
        Task<GetMenuResultDto> GetListAsync();
        Task<GetMenuGrantListResultDto> GetAsync([NotNull] string providerName, [NotNull] string providerKey);
        Task UpdateAsync([NotNull] string providerName, [NotNull] string providerKey, UpdateMenuGrantsDto input);
    }
}
