﻿using Microsoft.AspNetCore.Mvc.Filters;

namespace Sanhe.Abp.AspNetCore.Mvc.Wrapper;

/// <summary>
/// 包装结果检测器。用于检测是否需要进行包装返回结果。
/// </summary>
public interface IWrapResultChecker
{
    bool WrapOnExecution(FilterContext context);

    bool WrapOnException(ExceptionContext context);

    bool WrapOnException(PageHandlerExecutedContext context);
}
