﻿using Microsoft.AspNetCore.Mvc;
using System.Threading.Tasks;
using Volo.Abp;
using Volo.Abp.AspNetCore.Mvc;

namespace BookStore.Controllers;

// 验证数据模型验证本地化
// 配合AbpMvcDataAnnotationsLocalizationOptions及AbpLocalizationOptions.DefaultResourceType
[Route("api/data-annotation")]
[RemoteService]
public class DataAnnotationsLocalizationController: AbpControllerBase
{
    [HttpPost]
    public Task<Person> CreateAsync(Person person)
    {
        return Task.FromResult(person);
    }
}