﻿using AutoMapper;
using BookStore.Entities;
using BookStore.Services.Dtos;

namespace BookStore.ObjectMapping;

public class BookStoreAutoMapperProfile : Profile
{
    public BookStoreAutoMapperProfile()
    {
        /* Create your AutoMapper object mappings here */
        CreateMap<BookCreateUpdateInput, Book>();
        CreateMap<Book, BookDto>();
    }
}
