﻿using BookStore.Entities;
using BookStore.Services.Dtos;
using System;
using Volo.Abp.Application.Dtos;
using Volo.Abp.Application.Services;
using Volo.Abp.Domain.Repositories;

namespace BookStore.Services;

public class BookAppService : CrudAppService<Book, BookDto, Guid, PagedAndSortedResultRequestDto, BookCreateUpdateInput>, IBookAppService
{
    public BookAppService(IRepository<Book, Guid> repository) : base(repository)
    {

    }
}
