﻿using System.ComponentModel;
using System.ComponentModel.DataAnnotations;

namespace BookStore.Services.Dtos;

public class BookCreateUpdateInput
{
    [Required]
    [StringLength(64)]
    [DisplayName("书籍名称")]
    public string BookName { get; set; }

    [StringLength(512)]
    [DisplayName("描述")]
    public string Description { get; set; }
}
