﻿using Microsoft.Extensions.Logging;
using System;
using System.Collections.Generic;

namespace Sanhe.Abp.Auditing.Logging
{
    public class LogDto
    {
        /// <summary>
        /// 时间戳
        /// </summary>
        public DateTime TimeStamp { get; set; }
        /// <summary>
        /// 日志级别
        /// </summary>
        public LogLevel Level { get; set; }
        /// <summary>
        /// 信息
        /// </summary>
        public string Message { get; set; }
        /// <summary>
        /// 字段
        /// </summary>
        public LogFieldDto Fields { get; set; }
        /// <summary>
        /// 错误信息
        /// </summary>
        public List<LogExceptionDto> Exceptions { get; set; }
    }
}
