﻿namespace Sanhe.Abp.Auditing.Logging
{
    public class LogFieldDto
    {
        /// <summary>
        /// Id
        /// </summary>
        public string Id { get; set; }
        /// <summary>
        /// 机器名称
        /// </summary>
        public string MachineName { get; set; }
        /// <summary>
        /// 应用环境
        /// </summary>
        public string Environment { get; set; }
        /// <summary>
        /// 应用信息
        /// </summary>
        public string Application { get; set; }
        /// <summary>
        /// 上下文
        /// </summary>
        public string Context { get; set; }
        /// <summary>
        /// 方法标识
        /// </summary>
        public string ActionId { get; set; }
        /// <summary>
        /// 方法名称
        /// </summary>
        public string ActionName { get; set; }
        /// <summary>
        /// 请求标识
        /// </summary>
        public string RequestId { get; set; }
        /// <summary>
        /// 请求路径
        /// </summary>
        public string RequestPath { get; set; }
        /// <summary>
        /// 连接标识
        /// </summary>
        public string ConnectionId { get; set; }
        /// <summary>
        /// 链路标识
        /// </summary>
        public string CorrelationId { get; set; }
        /// <summary>
        /// 客户端标识
        /// </summary>
        public string ClientId { get; set; }
        /// <summary>
        /// 用户标识
        /// </summary>
        public string UserId { get; set; }
        /// <summary>
        /// 进程标识
        /// </summary>
        public int ProcessId { get; set; }
        /// <summary>
        /// 线程标识
        /// </summary>
        public int ThreadId { get; set; }
    }
}
