﻿using Microsoft.Extensions.Options;
using StackExchange.Redis;

namespace Sanhe.Abp.Features.LimitValidation.Redis;

public class AbpRedisRequiresLimitFeatureOptions : IOptions<AbpRedisRequiresLimitFeatureOptions>
{
    /// <summary>
    /// Redis连接字符串
    /// </summary>
    public string Configuration { get; set; }
    /// <summary>
    /// 前缀
    /// </summary>
    public string InstanceName { get; set; }
    /// <summary>
    /// Redis连接配置
    /// </summary>
    public ConfigurationOptions ConfigurationOptions { get; set; }

    AbpRedisRequiresLimitFeatureOptions IOptions<AbpRedisRequiresLimitFeatureOptions>.Value => this;
}
