﻿namespace Sanhe.Abp.PinyinConverter;

/// <summary>
/// 拼音转换器。
/// </summary>
public interface IPinyinConverter
{
    /// <summary>
    /// 文本字符串的拼音
    /// </summary>
    /// <param name="text">文本字符串</param>
    /// <returns></returns>
    string ToPinyin(string text);
    /// <summary>
    /// 文本字符串的拼音首字母
    /// </summary>
    /// <param name="text">文本字符串</param>
    /// <returns></returns>
    string ToPinyinInitials(string text);
}
