﻿using Microsoft.EntityFrameworkCore;
using Volo.Abp.Data;
using Volo.Abp.EntityFrameworkCore;

namespace Sanhe.Abp.LocalizationManagement.EntityFrameworkCore;

[ConnectionStringName(LocalizationDbProperties.ConnectionStringName)]
public interface ILocalizationDbContext : IEfCoreDbContext
{
    DbSet<Resource> Resources { get; set; }
    DbSet<Language> Languages { get; set; }
    DbSet<Text> Texts { get; set; }
}
