﻿using AutoMapper;
using Sanhe.Abp.Logging;

namespace Sanhe.Abp.AuditLogging.Serilog.Elasticsearch
{
    public class AbpLoggingSerilogElasticsearchMapperProfile : Profile
    {
        public AbpLoggingSerilogElasticsearchMapperProfile()
        {
            CreateMap<SerilogException, LogException>();
            CreateMap<SerilogField, LogField>()
                .ForMember(log => log.Id, map => map.MapFrom(slog => slog.UniqueId.ToString()));
            CreateMap<SerilogInfo, LogInfo>();
        }
    }
}
