﻿using System.Collections.Generic;

namespace Sanhe.Abp.MenuManagement
{
    /// <summary>
    /// 授权策略
    /// </summary>
    public class AuthPolicyDto
    {
        /// <summary>
        /// 名称
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 显示名称
        /// </summary>
        public string DisplayName { get; set; }
        /// <summary>
        /// 子策略
        /// </summary>
        public List<AuthPolicyDto> Children { get; set; } = new List<AuthPolicyDto>();
    }
}
