﻿using System;
using System.Collections.Generic;
using System.Threading.Tasks;
using Volo.Abp.Application.Services;

namespace Sanhe.Abp.MenuManagement
{
    public interface IMenuAppService : ICrudAppService<MenuDto, Guid, MenuRequestDto, CreateOrUpdateMenuDto>
    {
        /// <summary>
        /// 获取授权策略
        /// </summary>
        /// <returns></returns>
        Task<List<AuthPolicyDto>> GetAuthPolicies();
    }
}
