﻿using Microsoft.EntityFrameworkCore;
using Volo.Abp.Data;
using Volo.Abp.EntityFrameworkCore;

namespace Sanhe.Abp.MenuManagement.EntityFrameworkCore;

[ConnectionStringName(MenuManagementDbProperties.ConnectionStringName)]
public interface IMenuManagementDbContext : IEfCoreDbContext
{
    DbSet<Menu> Menus { get; set; }
    DbSet<MenuGrant> MenuGrants { get; set; }
}
