﻿using BookStore.Services;
using Microsoft.AspNetCore.Mvc;
using System.Threading.Tasks;
using Volo.Abp.AspNetCore.Mvc;

namespace BookStore.Controllers;

[Route("api/limit-validation")]
public class LimitValidationController : AbpControllerBase, ILimitValidationAppService
{
    private readonly ILimitValidationAppService _service;

    public LimitValidationController(ILimitValidationAppService service)
    {
        _service = service;
    }

    [HttpGet]
    public Task GetAsync()
    {
        return _service.GetAsync();
    }
}
