﻿using BookStore.Features;
using Sanhe.Abp.Features.LimitValidation;
using System.Threading.Tasks;
using Volo.Abp.Application.Services;

namespace BookStore.Services;

public class LimitValidationAppService : ApplicationService, ILimitValidationAppService
{
    [RequiresLimitFeature(FakeFeatureNames.MethodLimitFeature, FakeFeatureNames.IntervalFeature, LimitPolicy.Minute)]
    public Task GetAsync()
    {
        return Task.FromResult(0);
    }
}
